## opensnitch 1.3.6

=== Makefile ===
all: protocol daemon/opensnitchd ui/resources_rc.py

install:
	@cd daemon && make install	
	@cd ui && make install

protocol:
	@cd proto && make

daemon/opensnitchd:
	@cd daemon && make

ui/resources_rc.py:
	@cd ui && make

deps:
	@cd daemon && make deps
	@cd ui && make deps

clean:
	@cd daemon && make clean
	@cd proto && make clean

run:
	cd ui && pip3 install --upgrade . && cd ..
	opensnitch-ui --socket unix:///tmp/osui.sock &
	./daemon/opensnitchd -rules-path /etc/opensnitchd/rules -ui-socket unix:///tmp/osui.sock -cpu-profile cpu.profile -mem-profile mem.profile

test: 
	clear 
	make clean
	clear
	mkdir -p rules
	make 
	clear
	make run

adblocker:
	clear 
	make clean
	clear
	make 
	clear
	python make_ads_rules.py
	clear
	cd ui && pip3 install --upgrade . && cd ..
	opensnitch-ui --socket unix:///tmp/osui.sock &
	./daemon/opensnitchd -rules-path /etc/opensnitchd/rules -ui-socket unix:///tmp/osui.sock

=== daemon/Makefile ===
all: opensnitchd

install:
	@mkdir -p /etc/opensnitchd/rules
	@cp opensnitchd /usr/local/bin/
	@cp opensnitchd.service /etc/systemd/system/
	@cp default-config.json /etc/opensnitchd/
	@cp system-fw.json /etc/opensnitchd/
	@systemctl daemon-reload

opensnitchd:
	@go build -o opensnitchd . 

clean:
	@rm -rf opensnitchd

=== proto/Makefile ===
all: ../daemon/ui/protocol/ui.pb.go ../ui/opensnitch/ui_pb2.py

../daemon/ui/protocol/ui.pb.go: ui.proto
	protoc -I. ui.proto --go_out=plugins=grpc:../daemon/ui/protocol/

../ui/opensnitch/ui_pb2.py: ui.proto
	python3 -m grpc_tools.protoc -I. --python_out=../ui/opensnitch/ --grpc_python_out=../ui/opensnitch/ ui.proto

clean:
	@rm -rf ../daemon/ui/protocol/ui.pb.go
	@rm -rf ../ui/opensnitch/ui_pb2.py
	@rm -rf ../ui/opensnitch/ui_pb2_grpc.py

=== ui/Makefile ===
all: opensnitch/resources_rc.py

install:
	@pip3 install --upgrade .

opensnitch/resources_rc.py: translations deps
	@pyrcc5 -o opensnitch/resources_rc.py opensnitch/res/resources.qrc

translations:
	@cd i18n ; make
	for lang in $$(ls i18n/locales/); do \
		if [ ! -d opensnitch/i18n/$$lang ]; then mkdir -p opensnitch/i18n/$$lang ; fi ; \
		cp i18n/locales/$$lang/opensnitch-$$lang.qm opensnitch/i18n/$$lang/ ; \
	done

deps:
	@pip3 install -r requirements.txt

clean:
	@rm -rf *.pyc
	@rm -rf opensnitch/resources_rc.py

=== ui/requirements.txt ===
grpcio-tools==1.10.1
pyinotify==0.9.6
unicode_slugify==0.1.3
pyqt5>=5.6
protobuf

=== ui/i18n/Makefile ===
all: update_langs gen_qm

update_langs:
	@pylupdate5 opensnitch_i18n.pro

gen_qm:
	@./generate_i18n.sh

=== debian/changelog ===
opensnitch (1.3.6-1~mx21+1) mx; urgency=medium

  * Repackaging for MX-21, no changes.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Sun, 11 Jul 2021 14:24:01 -0400

opensnitch (1.3.6-1~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-19.
  * Create combined debian/control and rules file for opensnitch-ui.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Fri, 26 Mar 2021 16:52:10 -0400

opensnitch (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:01:53 +0100

opensnitch (1.3.0-1) unstable; urgency=medium

  * Fixed how we check rules
  * Fixed cpu spike after disable interception.
  * Fixed cleaning up fw rules on exit.
  * make regexp rules case-insensitive by default
  * allow to filter by dst network.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:15:03 +0100

opensnitch (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 13 Nov 2020 00:51:34 +0100

opensnitch (1.2.0-1) unstable; urgency=medium

  * Fixed memleaks.
  * Sort rules by name
  * Added priority field to rules.
  * Other fixes

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 09 Nov 2020 22:55:13 +0100

opensnitch (1.0.1-1) unstable; urgency=medium

  * Fixed app exit when IPv6 is not supported.
  * Other fixes.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 30 Jul 2020 21:56:20 +0200

opensnitch (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:19:26 +0200

opensnitch (1.0.0rc11-1) unstable; urgency=medium

  * Fixed multiple race conditions.
  * Fixed CWD parsing when using audit proc monitor method.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 24 Jun 2020 00:10:38 +0200

opensnitch (1.0.0rc10-1) unstable; urgency=medium

  * Fixed checking UID functions availability.
  * Improved process path parsing.
  * Fixed applying config from the UI.
  * Fixed default log level.
  * Gather CWD and process environment vars.
  * Increase default timeout when asking for a rule.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sat, 13 Jun 2020 18:45:02 +0200

opensnitch (1.0.0rc9-1) unstable; urgency=medium

  * Ignore malformed rules from loading.
  * Allow to modify and add rules from the UI.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 17 May 2020 18:18:24 +0200

opensnitch (1.0.0rc8) unstable; urgency=medium

  * Allow to change settings from the UI.
  * Improved connection handling with the UI.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 29 Apr 2020 21:52:27 +0200

opensnitch (1.0.0rc7-1) unstable; urgency=medium

  * Stability, performance and realiability improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 12 Apr 2020 23:25:41 +0200

opensnitch (1.0.0rc6-1) unstable; urgency=medium

  * Fixed iptables rules deletion.
  * Improved PIDs cache.
  * Added audit process monitoring method.
  * Added logrotate file.
  * Added default configuration file.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Sun, 08 Mar 2020 20:47:58 +0100

opensnitch (1.0.0rc-5) unstable; urgency=medium

  * Fixed netlink socket querying.
  * Added check to reload firewall rules if missing.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 24 Feb 2020 19:55:06 +0100

opensnitch (1.0.0rc-3) unstable; urgency=medium

  * @see: https://github.com/gustavo-iniguez-goya/opensnitch/releases

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Tue, 18 Feb 2020 10:09:45 +0100

opensnitch (1.0.0rc-2) unstable; urgency=medium

  * UI minor changes
  * Expand deb package compatibility.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 05 Feb 2020 21:50:20 +0100

opensnitch (1.0.0rc-1) unstable; urgency=medium

  * Initial release

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 22 Nov 2019 01:14:08 +0100

=== debian/control ===
Source: opensnitch
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders:
 Gustavo Iniguez Goya <gooffy@gmail.com>,
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends:
 debhelper-compat (= 12),
 debhelper (>= 9),
# dh-systemd (>= 1.5),
 dh-golang,
 golang-any,
 golang-github-vishvananda-netlink-dev,
 golang-github-evilsocket-ftrace-dev,
 golang-github-google-gopacket-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 pkg-config,
 libnetfilter-queue-dev,
 libmnl-dev,
 python3-setuptools,
 python3-all,
 debhelper (>= 7.4.3),
 dh-python,
 pyqt5-dev-tools,
 qtchooser,
 qttools5-dev-tools
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/opensnitch
Vcs-Git: https://salsa.debian.org/go-team/packages/opensnitch.git
Homepage: https://github.com/evilsocket/opensnitch
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/evilsocket/opensnitch

Package: opensnitch
Section: net
Architecture: any
Depends:
 ${misc:Depends}, ${shlibs:Depends},
Built-Using: ${misc:Built-Using}
Description: GNU/Linux firewall application
 OpenSnitch is a GNU/Linux firewall application.
 Whenever a program makes a connection, it'll prompt the user to allow or deny
 it.
 .
 The user can decide if block the outgoing connection based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until the app restart or just one time.
 .
 The GUI allows the user to view live outgoing connections, as well as search
 by process, user, host or port.

Package: opensnitch-ui
Architecture: all
Section: net
Depends:
 debconf, libqt5sql5-sqlite, python3:any, python3-setuptools, python3-six, python3-pyqt5,
 python3-pyqt5.qtsql, python3-pyinotify, python3-pip, whiptail | dialog, opensnitch,
 python3-slugify, python3-protobuf, python3-grpcio
Description: opensnitch application firewall GUI
 opensnitch-ui is a GUI for opensnitch written in Python.
 It allows the user to view live outgoing connections, as well as search
 for details of the intercepted connections.
 .
 The user can decide if block outgoing connections based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until restart the daemon or just one time.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
#export DESTDIR = "debian/opensnitch"
#export PYBUILD_SYSTEM=distutils

override_dh_dwz:
	dwz -- debian/opensnitch/usr/bin/daemon || true
	mv debian/opensnitch/usr/bin/daemon debian/opensnitch/usr/bin/opensnitchd

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
#	dh $@ --with python3 --buildsystem=pybuild

override_dh_strip:
	dh_strip --no-automatic-dbgsym

override_dh_auto_build:
	dh_auto_build
	cd ui && python3 setup.py build --force

override_dh_auto_install:
	dh_auto_install
#	cd ui/i18n && make && cp -r locales/ ../opensnitch/i18n/ # Fixme lrelease not found, export path failed
	cd ui && python3 setup.py install --force --root=debian/opensnitch-ui --no-compile -O0 --install-layout=deb

override_dh_auto_clean:
	#cd ui && rm -rf opensnitch/i18n/
	#cd ui && python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

## opensnitch 1.5.8

=== debian/changelog ===
opensnitch (1.5.8-2ubuntu0.1) lunar-security; urgency=medium

  * No change rebuild due to golang-1.20, golang-1.21 updates

 -- Nishit Majithia <nishit.majithia@canonical.com>  Thu, 18 Jan 2024 09:17:24 +0530

opensnitch (1.5.8-2) unstable; urgency=medium

  * Upload to unstable.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 21 Feb 2023 21:26:21 +0100

opensnitch (1.5.8-1) experimental; urgency=medium

  * New upstream release.

  [ Gustavo Iñiguez Goia ]
  * ui: added 64x64 icon.
  * Added missing entry for GUI manual page.
  * Updated appstream Summary field.
  * Removed ftrace dependency from d/control.
  * ui: updated appstream Summary field.
  * Updated d/control Description.

  [ Petter Reinholdtsen ]
  * Added appstream content rating, no restrictions.
  * Corrected appstream icon name.
  * Documented appstream metadata license in d/copyright.
  * Place manual pages in correct packages.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sun, 19 Feb 2023 10:26:46 +0100

opensnitch (1.5.7-3) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * fixed /etc/xdg/autostart/ link

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 15 Feb 2023 22:41:19 +0100

opensnitch (1.5.7-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * added opensnitchd manual page
  * added new manual page, updated opensnitchd.1
  * improved debian/tests/

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 13 Feb 2023 12:43:19 +0100

opensnitch (1.5.7-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * Set test-fw-rules.sh as flaky.
  * Make test-fw-rules.sh more verbose.

  [ Petter Reinholdtsen ]
  * Fixed typo in nb comment of desktop file.
  * Added appstream desktop category to metadata XML.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Fri, 10 Feb 2023 13:28:23 +0100

opensnitch (1.5.6-1) unstable; urgency=medium

  * New upstream release

  [ Gustavo Iñiguez Goia ]
  * tests: removed Architecture: restriction
  * changed Maintainer: field to team+pkg-go
  * added new test
  * added Uploaders field
  * updated Vcs* fields

  [ Petter Reinholdtsen ]
  * Added Debian package relation between opensnitch and
    python3-opensnitch-ui.
  * Handle autopkgtest scripts differently, as they have different
    requirements.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 07 Feb 2023 21:29:48 +0100

opensnitch (1.5.5-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 01 Feb 2023 22:37:12 +0100

opensnitch (1.5.4-1) unstable; urgency=high

  * New upstream release. (Closes: #1030115)
  * debian/control:
    - Updated packages description.
    - Removed debconf and whiptail|dialog dependencies.
    - Added xdg-user-dirs, gtk-update-icon-cache dependencies.
    - Point Vcs-Git field to the 1.5.0 branch.
  * debian/postinst:
    - Fixed opensnitch_ui.desktop installation.
    - Fixed updating icons cache.
  * debian/postrm:
    - Fixed removing opensnitch_ui.desktop
  * debian/tests/:
    - Added autopkgtests.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Tue, 31 Jan 2023 23:48:58 +0100

opensnitch (1.5.3-1) unstable; urgency=medium

  * Added debian/upstream/metadata.
  * Updated Homepage url.
  * Updated Copyright years.

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Sun, 22 Jan 2023 21:30:45 +0100

opensnitch (1.5.2.1-1) unstable; urgency=medium

  * Initial release. (Closes: #909567)

 -- Gustavo-Iniguez-Goya <gustavo.iniguez.goya@gmail.com>  Fri, 20 Jan 2023 22:26:40 +0000

opensnitch (1.5.2-1) unstable; urgency=medium

  * try to mount debugfs on boot up

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Wed, 27 Jul 2022 17:29:33 +0200

opensnitch (1.5.1-1) unstable; urgency=medium

  * Better eBPF cache.
  * Fixed error resolving domains to localhost.
  * Fixed error deleting our nftables rules.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 25 Feb 2022 01:21:38 +0100

opensnitch (1.5.0-1) unstable; urgency=medium

  * New release.
  * Added Reject option.
  * New lists types to block ads/malware/...
  * Better connections interception.
  * Better VPNs handling.
  * Bug fixes.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 28 Jan 2022 23:20:38 +0100

opensnitch (1.5.0~rc2-1) unstable; urgency=medium

  * Better connections interception.
  * Improvements.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 16 Jan 2022 23:15:12 +0100

opensnitch (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Oct 2021 14:57:35 +0200

opensnitch (1.4.0-1) unstable; urgency=medium

  * final release.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 27 Aug 2021 13:33:07 +0200

opensnitch (1.4.0~rc4-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:17:49 +0200

opensnitch (1.4.0~rc3-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:28:52 +0200

opensnitch (1.4.0~rc2-1) unstable; urgency=medium

  * Added eBPF support.
  * Fixes and improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:02 +0200

opensnitch (1.4.0~rc-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:02:31 +0100

## opensnitch 1.5.8.1

=== daemon/Makefile ===
--- 
+++ 
@@ -1,3 +1,6 @@
+#SRC contains all *.go *.c *.h files in daemon/ and its subfolders 
+SRC := $(shell find . -type f -name '*.go' -o -name '*.h' -o -name '*.c')
+
 all: opensnitchd
 
 install:
@@ -8,7 +11,8 @@
 	@cp system-fw.json /etc/opensnitchd/
 	@systemctl daemon-reload
 
-opensnitchd:
+opensnitchd: $(SRC)
+	@go get
 	@go build -o opensnitchd . 
 
 clean:

=== ebpf_prog/Makefile ===
#taken from /samples/bpf/Makefile and removed all targets 

# SPDX-License-Identifier: GPL-2.0

BPF_SAMPLES_PATH ?= $(abspath $(srctree)/$(src))
TOOLS_PATH := $(BPF_SAMPLES_PATH)/../../tools

# Libbpf dependencies
LIBBPF = $(TOOLS_PATH)/lib/bpf/libbpf.a

CGROUP_HELPERS := ../../tools/testing/selftests/bpf/cgroup_helpers.o
TRACE_HELPERS := ../../tools/testing/selftests/bpf/trace_helpers.o

always-y += opensnitch.o

ifeq ($(ARCH), arm)
# Strip all except -D__LINUX_ARM_ARCH__ option needed to handle linux
# headers when arm instruction set identification is requested.
ARM_ARCH_SELECTOR := $(filter -D__LINUX_ARM_ARCH__%, $(KBUILD_CFLAGS))
BPF_EXTRA_CFLAGS := $(ARM_ARCH_SELECTOR)
TPROGS_CFLAGS += $(ARM_ARCH_SELECTOR)
endif

TPROGS_CFLAGS += -Wall -O2
TPROGS_CFLAGS += -Wmissing-prototypes
TPROGS_CFLAGS += -Wstrict-prototypes

TPROGS_CFLAGS += -I$(objtree)/usr/include
TPROGS_CFLAGS += -I$(srctree)/tools/testing/selftests/bpf/
TPROGS_CFLAGS += -I$(srctree)/tools/lib/
TPROGS_CFLAGS += -I$(srctree)/tools/include
TPROGS_CFLAGS += -I$(srctree)/tools/perf
TPROGS_CFLAGS += -DHAVE_ATTR_TEST=0

ifdef SYSROOT
TPROGS_CFLAGS += --sysroot=$(SYSROOT)
TPROGS_LDFLAGS := -L$(SYSROOT)/usr/lib
endif

TPROGCFLAGS_bpf_load.o += -Wno-unused-variable

TPROGS_LDLIBS			+= $(LIBBPF) -lelf -lz
TPROGLDLIBS_tracex4		+= -lrt
TPROGLDLIBS_trace_output	+= -lrt
TPROGLDLIBS_map_perf_test	+= -lrt
TPROGLDLIBS_test_overhead	+= -lrt
TPROGLDLIBS_xdpsock		+= -pthread

# Allows pointing LLC/CLANG to a LLVM backend with bpf support, redefine on cmdline:
#  make M=samples/bpf/ LLC=~/git/llvm/build/bin/llc CLANG=~/git/llvm/build/bin/clang
LLC ?= llc
CLANG ?= clang
LLVM_OBJCOPY ?= llvm-objcopy
BTF_PAHOLE ?= pahole

# Detect that we're cross compiling and use the cross compiler
ifdef CROSS_COMPILE
CLANG_ARCH_ARGS = --target=$(notdir $(CROSS_COMPILE:%-=%))
endif

# Don't evaluate probes and warnings if we need to run make recursively
ifneq ($(src),)
HDR_PROBE := $(shell printf "\#include <linux/types.h>\n struct list_head { int a; }; int main() { return 0; }" | \
	$(CC) $(TPROGS_CFLAGS) $(TPROGS_LDFLAGS) -x c - \
	-o /dev/null 2>/dev/null && echo okay)

ifeq ($(HDR_PROBE),)
$(warning WARNING: Detected possible issues with include path.)
$(warning WARNING: Please install kernel headers locally (make headers_install).)
endif

BTF_LLC_PROBE := $(shell $(LLC) -march=bpf -mattr=help 2>&1 | grep dwarfris)
BTF_PAHOLE_PROBE := $(shell $(BTF_PAHOLE) --help 2>&1 | grep BTF)
BTF_OBJCOPY_PROBE := $(shell $(LLVM_OBJCOPY) --help 2>&1 | grep -i 'usage.*llvm')
BTF_LLVM_PROBE := $(shell echo "int main() { return 0; }" | \
			  $(CLANG) -target bpf -O2 -g -c -x c - -o ./llvm_btf_verify.o; \
			  readelf -S ./llvm_btf_verify.o | grep BTF; \
			  /bin/rm -f ./llvm_btf_verify.o)

BPF_EXTRA_CFLAGS += -fno-stack-protector
ifneq ($(BTF_LLVM_PROBE),)
	BPF_EXTRA_CFLAGS += -g
else
ifneq ($(and $(BTF_LLC_PROBE),$(BTF_PAHOLE_PROBE),$(BTF_OBJCOPY_PROBE)),)
	BPF_EXTRA_CFLAGS += -g
	LLC_FLAGS += -mattr=dwarfris
	DWARF2BTF = y
endif
endif
endif

# Trick to allow make to be run from this directory
all:
	$(MAKE) -C ../../ M=$(CURDIR) BPF_SAMPLES_PATH=$(CURDIR)

clean:
	$(MAKE) -C ../../ M=$(CURDIR) clean
	@find $(CURDIR) -type f -name '*~' -delete

$(LIBBPF): FORCE
# Fix up variables inherited from Kbuild that tools/ build system won't like
	$(MAKE) -C $(dir $@) RM='rm -rf' EXTRA_CFLAGS="$(TPROGS_CFLAGS)" \
		LDFLAGS=$(TPROGS_LDFLAGS) srctree=$(BPF_SAMPLES_PATH)/../../ O=

$(obj)/syscall_nrs.h:	$(obj)/syscall_nrs.s FORCE
	$(call filechk,offsets,__SYSCALL_NRS_H__)

targets += syscall_nrs.s
clean-files += syscall_nrs.h

FORCE:


# Verify LLVM compiler tools are available and bpf target is supported by llc
.PHONY: verify_cmds verify_target_bpf $(CLANG) $(LLC)

verify_cmds: $(CLANG) $(LLC)
	@for TOOL in $^ ; do \
		if ! (which -- "$${TOOL}" > /dev/null 2>&1); then \
			echo "*** ERROR: Cannot find LLVM tool $${TOOL}" ;\
			exit 1; \
		else true; fi; \
	done

verify_target_bpf: verify_cmds
	@if ! (${LLC} -march=bpf -mattr=help > /dev/null 2>&1); then \
		echo "*** ERROR: LLVM (${LLC}) does not support 'bpf' target" ;\
		echo "   NOTICE: LLVM version >= 3.7.1 required" ;\
		exit 2; \
	else true; fi

$(BPF_SAMPLES_PATH)/*.c: verify_target_bpf $(LIBBPF)
$(src)/*.c: verify_target_bpf $(LIBBPF)

$(obj)/tracex5_kern.o: $(obj)/syscall_nrs.h
$(obj)/hbm_out_kern.o: $(src)/hbm.h $(src)/hbm_kern.h
$(obj)/hbm.o: $(src)/hbm.h
$(obj)/hbm_edt_kern.o: $(src)/hbm.h $(src)/hbm_kern.h

-include $(BPF_SAMPLES_PATH)/Makefile.target

# asm/sysreg.h - inline assembly used by it is incompatible with llvm.
# But, there is no easy way to fix it, so just exclude it since it is
# useless for BPF samples.
$(obj)/%.o: $(src)/%.c
	@echo "  CLANG-bpf " $@
	$(Q)$(CLANG) $(NOSTDINC_FLAGS) $(LINUXINCLUDE) $(BPF_EXTRA_CFLAGS) \
		-I$(obj) -I$(srctree)/tools/testing/selftests/bpf/ \
		-I$(srctree)/tools/lib/ \
		-D__KERNEL__ -D__BPF_TRACING__ -Wno-unused-value -Wno-pointer-sign \
		-D__TARGET_ARCH_$(SRCARCH) -Wno-compare-distinct-pointer-types \
		-Wno-gnu-variable-sized-type-not-at-end \
		-Wno-address-of-packed-member -Wno-tautological-compare \
		-Wno-unknown-warning-option $(CLANG_ARCH_ARGS) \
		-I$(srctree)/samples/bpf/ -include asm_goto_workaround.h \
		-O2 -emit-llvm -c $< -o -| $(LLC) -march=bpf $(LLC_FLAGS) -filetype=obj -o $@
ifeq ($(DWARF2BTF),y)
	$(BTF_PAHOLE) -J $@
endif

=== proto/Makefile ===
all: ../daemon/ui/protocol/ui.pb.go ../ui/opensnitch/ui_pb2.py

../daemon/ui/protocol/ui.pb.go: ui.proto
	protoc -I. ui.proto --go_out=../daemon/ui/protocol/ --go-grpc_out=../daemon/ui/protocol/ --go_opt=paths=source_relative --go-grpc_opt=paths=source_relative

../ui/opensnitch/ui_pb2.py: ui.proto
	python3 -m grpc_tools.protoc -I. --python_out=../ui/opensnitch/ --grpc_python_out=../ui/opensnitch/ ui.proto

clean:
	@rm -rf ../daemon/ui/protocol/ui.pb.go
	@rm -rf ../daemon/ui/protocol/ui_grpc.pb.go
	@rm -rf ../ui/opensnitch/ui_pb2.py
	@rm -rf ../ui/opensnitch/ui_pb2_grpc.py

=== ui/requirements.txt ===
grpcio-tools>=1.10.1
pyinotify==0.9.6
unicode_slugify==0.1.3
pyqt5>=5.6
protobuf

=== ui/i18n/Makefile ===
SOURCES +=  ../opensnitch/service.py \
	    ../opensnitch/dialogs/prompt.py \
	    ../opensnitch/dialogs/preferences.py \
	    ../opensnitch/dialogs/ruleseditor.py \
	    ../opensnitch/dialogs/processdetails.py \
	    ../opensnitch/dialogs/stats.py

FORMS += ../opensnitch/res/prompt.ui \
	    ../opensnitch/res/ruleseditor.ui \
	    ../opensnitch/res/preferences.ui \
	    ../opensnitch/res/process_details.ui \
	    ../opensnitch/res/stats.ui

#TSFILES contains all *.ts files in locales/ and its subfolders 
TSFILES := $(shell find locales/ -type f -name '*.ts')
#QMFILES contains all *.qm files in locales/ and its subfolders 
QMFILES := $(shell find locales/ -type f -name '*.qm')
#if QMFILES is empty, we set it to phony target to run unconditionally
ifeq ($(QMFILES),)
QMFILES := "qmfiles"
endif

all: $(TSFILES) $(QMFILES)

#if any file from SOURCES or FORMS is older than any file from $(TSFILES)  
#or if opensnitch_i18n.pro was manually modified
$(TSFILES): $(SOURCES) $(FORMS) opensnitch_i18n.pro
	@pylupdate5 opensnitch_i18n.pro

#if any of the *.ts files are older that any of the *.qm files
#QMFILES may also be a phony target (when no *.qm exist yet) which will always run
$(QMFILES):$(TSFILES)
	@./generate_i18n.sh
	for lang in $$(ls locales/); do \
		if [ ! -d ../opensnitch/i18n/$$lang ]; then mkdir -p ../opensnitch/i18n/$$lang ; fi ; \
		cp locales/$$lang/opensnitch-$$lang.qm ../opensnitch/i18n/$$lang/ ; \
	done

=== debian/changelog ===
opensnitch (1.5.8.1-1ubuntu0.24.04.3) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Fri, 18 Jul 2025 16:13:08 +1000

opensnitch (1.5.8.1-1ubuntu0.24.04.2) noble-security; urgency=medium

  * No change rebuild due to golang-1.22 update

 -- Evan Caville <evan.caville@canonical.com>  Thu, 07 Nov 2024 12:25:18 +1000

opensnitch (1.5.8.1-1ubuntu0.24.04.1) noble-security; urgency=medium

  * No change rebuild due to golang-1.21 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 12 Jul 2024 10:55:00 +0530

opensnitch (1.5.8.1-1build1) mantic; urgency=medium

  * No-change rebuild with Go 1.21.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Thu, 24 Aug 2023 17:17:15 +1200

opensnitch (1.5.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Mon, 06 Mar 2023 12:37:24 +0100

=== debian/control ===
Source: opensnitch
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>
Section: devel
Priority: optional
Build-Depends:
 debhelper-compat (= 11),
 dh-golang,
 dh-python,
 golang-any,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-google-gopacket-dev,
 golang-github-google-nftables-dev,
 golang-github-iovisor-gobpf-dev,
 golang-github-vishvananda-netlink-dev,
 golang-golang-x-net-dev,
 golang-google-grpc-dev,
 golang-goprotobuf-dev,
 libmnl-dev,
 libnetfilter-queue-dev,
 pkg-config,
 protoc-gen-go-grpc,
 pyqt5-dev-tools,
 qttools5-dev-tools,
 python3-all,
 python3-grpc-tools,
 python3-setuptools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/opensnitch
Vcs-Git: https://salsa.debian.org/go-team/packages/opensnitch.git
Homepage: https://github.com/evilsocket/opensnitch
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/evilsocket/opensnitch

Package: opensnitch
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: python3-opensnitch-ui
Built-Using: ${misc:Built-Using}
Description: GNU/Linux interactive application firewall
 Whenever a program makes a connection, it'll prompt the user to allow or deny
 it.
 .
 The user can decide if block the outgoing connection based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until the app restart or just one time.
 .
 The GUI allows the user to view live outgoing connections, as well as search
 by process, user, host or port.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.


Package: python3-opensnitch-ui
Architecture: all
Section: net
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libqt5sql5-sqlite,
 python3-grpcio,
 python3-notify2,
 python3-pyinotify,
 python3-pyqt5,
 python3-pyqt5.qtsql,
 python3-setuptools,
 python3-six,
 python3-slugify,
 python3:any,
 xdg-user-dirs,
 gtk-update-icon-cache
Recommends:
 python3-pyasn
Suggests: opensnitch
Description: GNU/Linux interactive application firewall GUI
 opensnitch-ui is a GUI for opensnitch written in Python.
 It allows the user to view live outgoing connections, as well as search
 for details of the intercepted connections.
 .
 The user can decide if block outgoing connections based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until restart the daemon or just one time.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/opensnitch-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/evilsocket/opensnitch/tags .*/v?(\d\S*)\.tar\.gz

## opensnitch 1.5.9

=== Makefile ===
all: protocol opensnitch_daemon gui

install:
	@$(MAKE) -C daemon install
	@$(MAKE) -C ui install

protocol:
	@$(MAKE) -C proto

opensnitch_daemon:
	@$(MAKE) -C daemon

gui:
	@$(MAKE) -C ui

clean:
	@$(MAKE) -C daemon clean
	@$(MAKE) -C proto clean
	@$(MAKE) -C ui clean

run:
	cd ui && pip3 install --upgrade . && cd ..
	opensnitch-ui --socket unix:///tmp/osui.sock &
	./daemon/opensnitchd -rules-path /etc/opensnitchd/rules -ui-socket unix:///tmp/osui.sock -cpu-profile cpu.profile -mem-profile mem.profile

test: 
	clear 
	$(MAKE) clean
	clear
	mkdir -p rules
	$(MAKE)
	clear
	$(MAKE) run

adblocker:
	clear 
	$(MAKE) clean
	clear
	$(MAKE)
	clear
	python make_ads_rules.py
	clear
	cd ui && pip3 install --upgrade . && cd ..
	opensnitch-ui --socket unix:///tmp/osui.sock &
	./daemon/opensnitchd -rules-path /etc/opensnitchd/rules -ui-socket unix:///tmp/osui.sock

=== ebpf_prog/Makefile ===
# OpenSnitch - 2023
#
# On Debian based distros we need the following 2 directories.
# Otherwise, just use the kernel headers from the kernel sources.
#
KERNEL_DIR ?= /lib/modules/$(shell uname -r)/source
KERNEL_HEADERS ?= /usr/src/linux-headers-$(shell uname -r)/
CLANG ?= clang
LLC ?= llc
LLVM_STRIP ?= llvm-strip -g
ARCH ?= $(shell arch)

# as in /usr/src/linux-headers-*/arch/
# TODO: extract correctly the archs, and add more if needed.
ifeq ($(ARCH),x86_64)
	ARCH := x86
else ifeq ($(ARCH),i686)
	ARCH := x86
else ifeq ($(ARCH),armv7l)
	ARCH := arm
else ifeq ($(ARCH),aarch64)
	ARCH := arm64
endif

ifeq ($(ARCH),arm)
	# on previous archs, it fails with "SMP not supported on pre-ARMv6"
	EXTRA_FLAGS = "-D__LINUX_ARM_ARCH__=7"
endif

BIN := opensnitch.o
CLANG_FLAGS = -I. \
	-I$(KERNEL_HEADERS)/arch/$(ARCH)/include/generated/ \
	-I$(KERNEL_HEADERS)/include \
	-include $(KERNEL_DIR)/include/linux/kconfig.h \
	-I$(KERNEL_DIR)/include \
	-I$(KERNEL_DIR)/include/uapi \
	-I$(KERNEL_DIR)/include/generated/uapi \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/generated \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/uapi \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/generated/uapi \
	-I$(KERNEL_DIR)/tools/testing/selftests/bpf/ \
	-D__KERNEL__ -D__BPF_TRACING__ -Wno-unused-value -Wno-pointer-sign \
	-D__TARGET_ARCH_$(ARCH) -Wno-compare-distinct-pointer-types \
	$(EXTRA_FLAGS) \
	-Wno-gnu-variable-sized-type-not-at-end \
	-Wno-address-of-packed-member -Wno-tautological-compare \
	-Wno-unknown-warning-option  \
	-g -O2 -emit-llvm

all: $(BIN)

%.o: %.c
	$(CLANG) $(CLANG_FLAGS) -c $< -o - | \
		$(LLC) -march=bpf -mcpu=generic -filetype=obj -o $@
clean:
	rm -f *.o

=== ui/Makefile ===
all: opensnitch/resources_rc.py

install:

opensnitch/resources_rc.py: translations # deps
	@pyrcc5 -o opensnitch/resources_rc.py opensnitch/res/resources.qrc
	sed -i 's/^import ui_pb2/from . import ui_pb2/' opensnitch/ui_pb2*

translations:
	@$(MAKE) -C i18n

deps:
	@pip3 install -r requirements.txt

clean:
	@rm -rf *.pyc
	@rm -rf opensnitch/resources_rc.py

=== debian/changelog ===
opensnitch (1.5.9-2) experimental; urgency=medium

  [ Gustavo Iñiguez Goia ]
  * d/control: fixed Build-Depends, kernel headers dep
  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Sat, 10 Jun 2023 00:08:25 +0200

opensnitch (1.5.9-1) experimental; urgency=medium

  * New upstream release.
  * d/control:
    - New package opensnitch-ebpf-modules.
  * d/man/:
    - Updated dates.
    - New page opensnitch-ebpf-modules.1
  * Added README.Debian.

  * Upload sponsored by Petter Reinholdtsen.

 -- Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>  Wed, 07 Jun 2023 23:18:40 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: opensnitch
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>
 Section: devel
 Priority: optional
@@ -25,7 +24,10 @@
  qttools5-dev-tools,
  python3-all,
  python3-grpc-tools,
- python3-setuptools
+ python3-setuptools,
+ linux-headers-generic,
+ clang,
+ llvm
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/go-team/packages/opensnitch
 Vcs-Git: https://salsa.debian.org/go-team/packages/opensnitch.git
@@ -39,7 +41,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends},
-Recommends: python3-opensnitch-ui
+Recommends: python3-opensnitch-ui, opensnitch-ebpf-modules
 Built-Using: ${misc:Built-Using}
 Description: GNU/Linux interactive application firewall
  Whenever a program makes a connection, it'll prompt the user to allow or deny
@@ -92,3 +94,16 @@
  .
  OpenSnitch can also work as a system-wide domains blocker, by using lists
  of domains, list of IPs or list of regular expressions.
+
+
+Package: opensnitch-ebpf-modules
+Architecture: any
+Section: net
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends},
+Suggests: opensnitch
+Description: GNU/Linux interactive application firewall eBPF modules
+ opensnitch-ebpf-modules provides the eBPF modules.
+ It provides the functionality to intercept connections at kernel level,
+ offering better performance and reliability.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1
export DESTDIR := $(shell pwd)/debian/opensnitch
export UIDESTDIR := $(shell pwd)/debian/python3-opensnitch-ui
export EBPFDESTDIR := $(shell pwd)/debian/opensnitch-ebpf-modules

override_dh_installsystemd:
	dh_installsystemd --restart-after-upgrade

override_dh_auto_build:
	$(MAKE) protocol
# Workaround for Go build problem when building in _build
	mkdir -p _build/src/github.com/evilsocket/opensnitch/daemon/ui/protocol/
	cp daemon/ui/protocol/* _build/src/github.com/evilsocket/opensnitch/daemon/ui/protocol/
	dh_auto_build
	cd ui && python3 setup.py build --force
	cd ebpf_prog && make

override_dh_auto_install:
# daemon
	mkdir -p $(DESTDIR)/usr/bin
	cp _build/bin/daemon $(DESTDIR)/usr/bin/opensnitchd
# GUI
	make -C ui/i18n
	cp -r ui/i18n/locales/ ui/opensnitch/i18n/
	pyrcc5 -o ui/opensnitch/resources_rc.py ui/opensnitch/res/resources.qrc
	sed -i 's/^import ui_pb2/from . import ui_pb2/' ui/opensnitch/ui_pb2*
	cd ui && python3 setup.py install --force --root=$(UIDESTDIR) --no-compile -O0 --install-layout=deb

# ebpf modules
	mkdir -p $(EBPFDESTDIR)/usr/lib/opensnitchd/ebpf
	make -C ebpf_prog && cp ebpf_prog/opensnitch*o $(EBPFDESTDIR)/usr/lib/opensnitchd/ebpf/

# daemon
	dh_auto_install

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang,python3

override_dh_auto_clean:
	dh_auto_clean
	$(MAKE) clean
	$(RM) ui/opensnitch/resources_rc.py
	$(RM) -r ui/opensnitch/i18n/
	$(RM) ui/i18n/locales/*/*.qm
	cd ui && python3 setup.py clean -a
	$(RM) -r ui/opensnitch_ui.egg-info/
	find ui -name \*.pyc -exec rm {} \;
	$(MAKE) -C ebpf_prog/ clean

## opensnitch 1.6.0

=== ebpf_prog/Makefile ===
--- 
+++ 
@@ -27,7 +27,7 @@
 	EXTRA_FLAGS = "-D__LINUX_ARM_ARCH__=7"
 endif
 
-BIN := opensnitch.o
+BIN := opensnitch.o opensnitch-procs.o opensnitch-dns.o
 CLANG_FLAGS = -I. \
 	-I$(KERNEL_HEADERS)/arch/$(ARCH)/include/generated/ \
 	-I$(KERNEL_HEADERS)/include \

=== proto/Makefile ===
--- 
+++ 
@@ -8,7 +8,5 @@
 
 clean:
 	@rm -rf ../daemon/ui/protocol/ui.pb.go
-	@rm -rf ../daemon/ui/protocol/ui_grpc.pb.go
 	@rm -rf ../ui/opensnitch/ui_pb2.py
 	@rm -rf ../ui/opensnitch/ui_pb2_grpc.py
-

=== ui/Makefile ===
all: opensnitch/resources_rc.py

install:
	@pip3 install --upgrade .

opensnitch/resources_rc.py: translations deps
	@pyrcc5 -o opensnitch/resources_rc.py opensnitch/res/resources.qrc
	sed -i 's/^import ui_pb2/from . import ui_pb2/' opensnitch/ui_pb2*

translations:
	@cd i18n ; make
	
deps:
	@pip3 install -r requirements.txt

clean:
	@rm -rf *.pyc
	@rm -rf opensnitch/resources_rc.py

=== debian/changelog ===
opensnitch (1.6.0-0.1~mx23+1) mx; urgency=medium

  * Import new 1.6.0 release.
  * Add golang-github-varlink-go-dev and golang-github-google-uuid-dev to BDs.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jul 2023 15:35:04 -0700

opensnitch (1.5.9-2~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 20 Jul 2023 14:25:50 -0700

=== debian/control ===
Source: opensnitch
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Gustavo Iñiguez Goya <gustavo.iniguez.goya@gmail.com>
Section: devel
Priority: optional
Build-Depends: clang,
               debhelper-compat (= 11),
               dh-golang,
               dh-python,
               golang-any,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-google-gopacket-dev,
               golang-github-google-nftables-dev,
               golang-github-google-uuid-dev,
               golang-github-iovisor-gobpf-dev,
               golang-github-varlink-go-dev,
               golang-github-vishvananda-netlink-dev,
               golang-golang-x-net-dev,
               golang-google-grpc-dev,
               golang-goprotobuf-dev,
               libmnl-dev,
               libnetfilter-queue-dev,
               linux-headers-generic,
               llvm,
               pkg-config,
               protoc-gen-go-grpc,
               pyqt5-dev-tools,
               python3-all,
               python3-grpc-tools,
               python3-setuptools,
               qttools5-dev-tools
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/opensnitch
Vcs-Git: https://salsa.debian.org/go-team/packages/opensnitch.git
Homepage: https://github.com/evilsocket/opensnitch
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/evilsocket/opensnitch

Package: opensnitch
Section: net
Architecture: any
Depends: opensnitch-ebpf-modules,
         python3-opensnitch-ui,
         ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: GNU/Linux interactive application firewall
 Whenever a program makes a connection, it'll prompt the user to allow or deny
 it.
 .
 The user can decide if block the outgoing connection based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until the app restart or just one time.
 .
 The GUI allows the user to view live outgoing connections, as well as search
 by process, user, host or port.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.

Package: python3-opensnitch-ui
Architecture: all
Section: net
Depends: gtk-update-icon-cache,
         libqt5sql5-sqlite,
         python3-grpcio,
         python3-notify2,
         python3-pyinotify,
         python3-pyqt5,
         python3-pyqt5.qtsql,
         python3-setuptools,
         python3-six,
         python3-slugify,
         python3:any,
         xdg-user-dirs,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3-pyasn
Suggests: opensnitch
Description: GNU/Linux interactive application firewall GUI
 opensnitch-ui is a GUI for opensnitch written in Python.
 It allows the user to view live outgoing connections, as well as search
 for details of the intercepted connections.
 .
 The user can decide if block outgoing connections based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until restart the daemon or just one time.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.

Package: opensnitch-ebpf-modules
Architecture: any
Section: net
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: opensnitch
Description: GNU/Linux interactive application firewall eBPF modules
 opensnitch-ebpf-modules provides the eBPF modules.
 It provides the functionality to intercept connections at kernel level,
 offering better performance and reliability.

=== debian/rules ===
--- 
+++ 
@@ -47,3 +47,7 @@
 	$(RM) -r ui/opensnitch_ui.egg-info/
 	find ui -name \*.pyc -exec rm {} \;
 	$(MAKE) -C ebpf_prog/ clean
+
+# No dbgsym packages:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
